Abuse Reports

AbuseReports

Methods

create(, , ):
post/accounts/{account_id}/abuse-reports/{report_param}

Submit the Abuse Report of a particular type

get(, , ):
get/accounts/{account_id}/abuse-reports/{report_param}

Retrieve the details of an abuse report.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY

Accepted Permissions (at least one required)

Trust and Safety Write Trust and Safety Read

Parameters
reportParam: string
account_id: string
(maxLength: 32)

Cloudflare Account ID

Returns
AbuseReportGetResponse{
id: string

Public facing ID of abuse report, aka abuse_rand.

cdate: string

Creation date of report. Time in RFC 3339 format (https://www.rfc-editor.org/rfc/rfc3339.html)

domain: string

Domain that relates to the report.

mitigation_summary:

A summary of the mitigations related to this report.

status: "accepted" | "in_review"

An enum value that represents the status of an abuse record

type: "PHISH" | "GEN" | "THREAT" | 6 more...

The abuse report type

justification?: string

Justification for the report.

original_work?: string

Original work / Targeted brand in the alleged abuse.

submitter?:

Information about the submitter of the report.

urls?: Array<string>
Request example
200Example
list(, ): <>
get/accounts/{account_id}/abuse-reports

List the abuse reports for a given account

Abuse Reports

Mitigations

AbuseReports.Mitigations

Methods

list(, , ): <>
get/accounts/{account_id}/abuse-reports/{report_id}/mitigations

List mitigations done to remediate the abuse report.

review(, , ): <>
post/accounts/{account_id}/abuse-reports/{report_id}/mitigations/appeal

Request a review for mitigations on an account.